org.apache.synapse.transport.passthru.config

## Interface PassThroughConfigPNames

-     public interface PassThroughConfigPNames

  Defines configuration parameter names for Pass-through HTTP Transport.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `C_MAX_ACTIVE` Defines the maximum open connection limit.
    `static java.lang.String` | `CONNECTION_GRACE_TIME` Defines the time allocated to avoid a connection being used at the moment it is being closed or timed out in milliseconds
    `static java.lang.String` | `CONNECTION_IDLE_TIME` Defines the time interval for idle connection removal.
    `static java.lang.String` | `CORRELATION_HEADER_NAME_PROPERTY` Defines the header name set for correlation logs
    `static java.lang.String` | `DISABLE_KEEPALIVE` Defines whether HTTP keep-alive is disabled
    `static java.lang.String` | `HTTP_HEADERS_PRESERVE` Defines whether ESB needs to preserve the original Http header.
    `static java.lang.String` | `HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE` Defines whether Listening IOReactor is shared among non axis2 Listeners
    `static java.lang.String` | `HTTP_RESPONSE_HEADERS_PRESERVE` Defines whether ESB needs to preserve the original Http header.
    `static java.lang.String` | `IO_BUFFER_SIZE` Defines the IO buffer size
    `static java.lang.String` | `IO_THREADS_PER_REACTOR` Defines the number of IO dispatcher threads used per reactor
    `static java.lang.String` | `MAX_CONNECTION_PER_HOST_PORT` Defines the maximum number of connections per host port
    `static java.lang.String` | `MAXIMUM_CONNECTION_LIFESPAN` Defines the time interval for maximum connection lifespan.
    `static java.lang.String` | `SERVER_HEADER_PRESERVE` Defines whether ESB needs to preserve the original Server header.
    `static java.lang.String` | `TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC`
    `static java.lang.String` | `USER_AGENT_HEADER_PRESERVE` Defines whether ESB needs to preserve the original User-Agent header.
    `static java.lang.String` | `WORKER_POOL_QUEUE_LENGTH` Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
    `static java.lang.String` | `WORKER_POOL_SIZE_CORE` Defines the core size (number of threads) of the worker thread pool.
    `static java.lang.String` | `WORKER_POOL_SIZE_MAX` Defines the maximum size (number of threads) of the worker thread pool.
    `static java.lang.String` | `WORKER_THREAD_KEEP_ALIVE_SEC` Defines the keep-alive time for extra threads in the worker pool.

- - ### Field Detail

    - #### WORKER_POOL_SIZE_CORE

          static final java.lang.String WORKER_POOL_SIZE_CORE

      Defines the core size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_SIZE_MAX

          static final java.lang.String WORKER_POOL_SIZE_MAX

      Defines the maximum size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_THREAD_KEEP_ALIVE_SEC

          static final java.lang.String WORKER_THREAD_KEEP_ALIVE_SEC

      Defines the keep-alive time for extra threads in the worker pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_QUEUE_LENGTH

          static final java.lang.String WORKER_POOL_QUEUE_LENGTH

      Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
      See Also:
        Constant Field Values

    - #### IO_THREADS_PER_REACTOR

          static final java.lang.String IO_THREADS_PER_REACTOR

      Defines the number of IO dispatcher threads used per reactor
      See Also:
        Constant Field Values

    - #### IO_BUFFER_SIZE

          static final java.lang.String IO_BUFFER_SIZE

      Defines the IO buffer size
      See Also:
        Constant Field Values

    - #### C_MAX_ACTIVE

          static final java.lang.String C_MAX_ACTIVE

      Defines the maximum open connection limit.
      See Also:
        Constant Field Values

    - #### USER_AGENT_HEADER_PRESERVE

          static final java.lang.String USER_AGENT_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original User-Agent header.
      See Also:
        Constant Field Values

    - #### SERVER_HEADER_PRESERVE

          static final java.lang.String SERVER_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original Server header.
      See Also:
        Constant Field Values

    - #### HTTP_RESPONSE_HEADERS_PRESERVE

          static final java.lang.String HTTP_RESPONSE_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS_PRESERVE

          static final java.lang.String HTTP_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          static final java.lang.String DISABLE_KEEPALIVE

      Defines whether HTTP keep-alive is disabled
      See Also:
        Constant Field Values

    - #### CONNECTION_IDLE_TIME

          static final java.lang.String CONNECTION_IDLE_TIME

      Defines the time interval for idle connection removal.
      See Also:
        Constant Field Values

    - #### CONNECTION_GRACE_TIME

          static final java.lang.String CONNECTION_GRACE_TIME

      Defines the time allocated to avoid a connection being used at the moment it is being closed or timed out in milliseconds
      See Also:
        Constant Field Values

    - #### MAXIMUM_CONNECTION_LIFESPAN

          static final java.lang.String MAXIMUM_CONNECTION_LIFESPAN

      Defines the time interval for maximum connection lifespan.
      See Also:
        Constant Field Values

    - #### MAX_CONNECTION_PER_HOST_PORT

          static final java.lang.String MAX_CONNECTION_PER_HOST_PORT

      Defines the maximum number of connections per host port
      See Also:
        Constant Field Values

    - #### TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

          static final java.lang.String TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

      See Also:
        Constant Field Values

    - #### HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE

          static final java.lang.String HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE

      Defines whether Listening IOReactor is shared among non axis2 Listeners
      See Also:
        Constant Field Values

    - #### CORRELATION_HEADER_NAME_PROPERTY

          static final java.lang.String CORRELATION_HEADER_NAME_PROPERTY

      Defines the header name set for correlation logs
      See Also:
        Constant Field Values

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.